local NAME, ADDON = ...

ADDON.bagController = {}
ADDON.bagController.__index = ADDON.bagController

local controller = ADDON.bagController

function controller:OpenBags()
    ADDON.cache:GetBagContainer():Show()
    ADDON.cache:GetBagContainer().moneyBar:Update()

    for bag = 0, NUM_BAG_SLOTS do
        for slot = 1, GetContainerNumSlots(bag) do
            ADDON.cache:GetItem(bag, slot):BAG_UPDATE(bag)
        end
    end
end

function controller:CloseBags()
    ADDON.cache:GetBagContainer():Hide()
end

function controller:ToggleBags()
    if ADDON.cache:GetBagContainer():IsVisible() then
        self:CloseBags()
    else
        self:OpenBags()
    end
end