local NAME, ADDON = ...

ADDON.settings = ADDON.settings or {}

ADDON.settings.itemContainer = {
    spacing = 3,
    padding = 5,
    cols = 5,
    font = 'Fonts\\FRIZQT__.TTF',
    fontSize = 13,
    fontColor = { 0.5, 1, 0.5, 1 },
    titleMargin = 5,
    sortFunction = function(A, B)
        if A.quality == B.quality then
            if A.ilevel == B.ilevel then
                return A.name < B.name
            end
            return A.ilevel > B.ilevel
        end
        return A.quality > B.quality
    end
}